#ifndef XFXSPAWNDEFLOOPING_H
#define XFXSPAWNDEFLOOPING_H

#include "xasset.h"

#include <QVector2D>

class XFxSpawnDefLooping : public XAsset
{
public:
    explicit XFxSpawnDefLooping();
    ~XFxSpawnDefLooping();

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    int mIntervalMsec;
    int mCount;
};

#endif // XFXSPAWNDEFLOOPING_H
